Bug 143565 - NIC BCM4401 on Dell Inspiron 5100 broken
Summary: NIC BCM4401 on Dell Inspiron 5100 broken
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-22 13:30 UTC by David Juran
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-05-18 13:28:58 UTC


Attachments (Terms of Use)
b44-backport-rhel3.patch (49.20 KB, patch)
2005-01-03 20:14 UTC, John W. Linville
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description David Juran 2004-12-22 13:30:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
We have a laptop Dell inspiron 5100 which has the Broadcom BCM4401
network interface. While booting the computer the following lines
shows up in the syslog

And then the network doesn't work. The switch the computer is
connected to shows there is no link.


Dec 22 08:13:38 localhost kernel: eth0: Broadcom 4400 10/100BaseT
Ethernet 00:0d:56:a9:03:4f
Dec 22 08:13:38 localhost kernel: ip_tables: (C) 2000-2002 Netfilter
core team
Dec 22 08:13:38 localhost kernel: ip_conntrack version 2.1 (8190
buckets, 65520 max) - 304 bytes per conntrack
Dec 22 08:13:38 localhost kernel: b44.c:v0.93 (Mar, 2004)
Dec 22 08:13:38 localhost kernel: PCI: Found IRQ 11 for device 02:01.0
Dec 22 08:13:38 localhost kernel: PCI: Sharing IRQ 11 with 00:1f.5
Dec 22 08:13:38 localhost kernel: PCI: Sharing IRQ 11 with 00:1f.6
Dec 22 08:13:38 localhost kernel: eth0: Broadcom 4400 10/100BaseT
Ethernet 00:0d:56:a9:03:4f
Dec 22 08:13:38 localhost kernel: b44: eth0: BUG!  Timeout waiting for
bit 80000000 of register 428 to clear.
Dec 22 08:13:38 localhost last message repeated 8 times
Dec 22 08:13:38 localhost kernel: b44: eth0: Link is down.
Dec 22 08:13:38 localhost kernel: b44: eth0: BUG!  Timeout waiting for
bit 80000000 of register 428 to clear.
Dec 22 08:13:38 localhost last message repeated 7 times
Dec 22 08:13:38 localhost kernel: b44: eth0: BUG!  Timeout waiting for
bit 00000002 of register 42c to clear.


Version-Release number of selected component (if applicable):
kernel-2.4.21-27.EL

How reproducible:
Always

Steps to Reproduce:
1. Just boot it...


Additional info:

Comment 1 David Juran 2004-12-22 15:31:13 UTC
It seems like the NIC starts to work again if one unplugs the laptop
from the power outlet and removes the battery for a little while. And
then the NIC works until someone boots it with MicroSoft Windows.
After running windows on the laptop you have to do this kind of hard
reset again, removing the power alltogether to get it to work.

Comment 3 John W. Linville 2005-01-03 20:14:11 UTC
Created attachment 109274 [details]
b44-backport-rhel3.patch

This patch brings b44 driver in RHEL3 up-to-date w/ what is currently in
upstream 2.6.  Please give this a try and let me know if it helps.  Thanks!

Comment 4 David Juran 2005-01-05 15:52:08 UTC
This patch indeed did solve the problem (-:

Comment 5 John W. Linville 2005-01-05 17:53:39 UTC
Sounds great!  I've submitted it for inclusion in the next update...

Comment 7 Ernie Petrides 2005-01-25 23:36:08 UTC
A fix for this problem has just been committed to the RHEL3 U5
patch pool this afternoon (in kernel version 2.4.21-27.9.EL).


Comment 8 Tim Powers 2005-05-18 13:28:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.